Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface ITopicPresentation

    com.change_vision.jude.api.inf.presentation.ITopicPresentation

All Superinterfaces:
  IEntity, IHyperlinkOwner, IPresentation

All Implemented Interfaces:
  IEntity, IHyperlinkOwner, IPresentation

Deprecated. Interface for Topic.

    public ITopicPresentation

extends IPresentation

Method Summary
`abstract ITopicPresentation[]` | `getChildren()` Deprecated. Get Children.
`abstract String` | `getLabel()` Deprecated. Get Label.
`abstract ITopicPresentation` | `getParent()` Deprecated. Get Parent.
`abstract void` | `setLabel(String label)` Deprecated. Set Label.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getDepth, getDiagram, getID, getLabel, getModel, getProperties, getProperty, getType, setLabel, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getParent

    abstract ITopicPresentation getParent()

  Deprecated. Get Parent.

  Returns:
    Parent Topic. Return null in case no parent Topic is found.

### getChildren

    abstract ITopicPresentation[] getChildren()

  Deprecated. Get Children.

  Returns:
    the array of Children Topics. Return the empty array in case there is none.

### getLabel

    abstract String getLabel()

  Deprecated. Get Label.

  Returns:
    String Label. Return empty string("") if there is none.

### setLabel

    abstract void setLabel(String label)

  Deprecated. Set Label.

  Parameters:
    `Label` - Label
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD